Skip to main content

Build NSIS installers for Python applications.

Project description

pynsist is a tool to build Windows installers for your Python applications. The installers bundle Python itself, so you can distribute your application to people who don’t have Python installed.

At present, pynsist requires Python 3.3 or above, or Python 2.7.

For more information, see the documentation and the examples.

Quickstart

  1. Get the tools. Install NSIS, and then install pynsist from PyPI by running pip install pynsist.

  2. Write a config file installer.cfg, like this:

    [Application]
    name=My App
    version=1.0
    # How to launch the app - this calls the 'main' function from the 'myapp' package:
    entry_point=myapp:main
    icon=myapp.ico
    
    [Python]
    version=3.4.0
    
    [Include]
    # Importable packages that your application requires, one per line
    packages = requests
         bs4
         html5lib
    
    # Other files and folders that should be installed
    files = LICENSE
        data_files/
    
  3. Run pynsist installer.cfg to generate your installer. If pynsist isn’t found, you can use python -m nsist installer.cfg instead.

Project details


Download files

Download the file for your platform. If you're not sure which to choose, learn more about installing packages.

Filename, size & hash SHA256 hash help File type Python version Upload date
pynsist-1.11-py2.py3-none-any.whl (4.7 MB) Copy SHA256 hash SHA256 Wheel py2.py3

Supported by

Elastic Elastic Search Pingdom Pingdom Monitoring Google Google BigQuery Sentry Sentry Error logging AWS AWS Cloud computing DataDog DataDog Monitoring Fastly Fastly CDN SignalFx SignalFx Supporter DigiCert DigiCert EV certificate StatusPage StatusPage Status page